# Generated by Django 4.0.3 on 2024-04-30 15:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ProjectAPP', '0009_remove_project_timespan'),
        ('Policies', '0014_checklisttask_responsible'),
    ]

    operations = [
        migrations.AddField(
            model_name='projectpolicy',
            name='kind',
            field=models.ForeignKey(default=3, on_delete=django.db.models.deletion.CASCADE, to='Policies.policy_kind'),
            preserve_default=False,
        ),
        migrations.CreateModel(
            name='ProjectChecklistTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('description_en', models.CharField(default='NONE', max_length=300)),
                ('description_de', models.CharField(default='NONE', max_length=300)),
                ('responsible', models.CharField(default='NONE', max_length=30)),
                ('done', models.BooleanField()),
                ('tag', models.CharField(max_length=30)),
                ('phase', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectphase')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.project')),
                ('step', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectstep')),
            ],
        ),
        migrations.CreateModel(
            name='Checklist',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('tasks', models.ManyToManyField(to='Policies.checklisttask')),
            ],
        ),
        migrations.AlterField(
            model_name='projectchecklist',
            name='tasks',
            field=models.ManyToManyField(to='Policies.projectchecklisttask'),
        ),
    ]
